/**
 * Intrinio API
 * Welcome to the Intrinio API! Through our Financial Data Marketplace, we offer a wide selection of financial data feed APIs sourced by our own proprietary processes as well as from many data vendors. For a complete API request / response reference please view the [Intrinio API documentation](https://intrinio.com/documentation/api_v2). If you need additional help in using the API, please visit the [Intrinio website](https://intrinio.com) and click on the chat icon in the lower right corner.
 *
 * OpenAPI spec version: 2.15.3
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: unset
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', '../../src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require('../../src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.intrinioSDK);
  }
}(this, function(expect, intrinioSDK) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new intrinioSDK.Security();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('Security', function() {
    it('should create an instance of Security', function() {
      // uncomment below and update the code to test Security
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be.a(intrinioSDK.Security);
    });

    it('should have the property id (base name: "id")', function() {
      // uncomment below and update the code to test the property id
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property companyId (base name: "company_id")', function() {
      // uncomment below and update the code to test the property companyId
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property name (base name: "name")', function() {
      // uncomment below and update the code to test the property name
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property type (base name: "type")', function() {
      // uncomment below and update the code to test the property type
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property code (base name: "code")', function() {
      // uncomment below and update the code to test the property code
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property shareClass (base name: "share_class")', function() {
      // uncomment below and update the code to test the property shareClass
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property currency (base name: "currency")', function() {
      // uncomment below and update the code to test the property currency
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property roundLotSize (base name: "round_lot_size")', function() {
      // uncomment below and update the code to test the property roundLotSize
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property ticker (base name: "ticker")', function() {
      // uncomment below and update the code to test the property ticker
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property exchangeTicker (base name: "exchange_ticker")', function() {
      // uncomment below and update the code to test the property exchangeTicker
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property compositeTicker (base name: "composite_ticker")', function() {
      // uncomment below and update the code to test the property compositeTicker
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property alternateTickers (base name: "alternate_tickers")', function() {
      // uncomment below and update the code to test the property alternateTickers
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property figi (base name: "figi")', function() {
      // uncomment below and update the code to test the property figi
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property cik (base name: "cik")', function() {
      // uncomment below and update the code to test the property cik
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property compositeFigi (base name: "composite_figi")', function() {
      // uncomment below and update the code to test the property compositeFigi
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property shareClassFigi (base name: "share_class_figi")', function() {
      // uncomment below and update the code to test the property shareClassFigi
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property figiUniqueid (base name: "figi_uniqueid")', function() {
      // uncomment below and update the code to test the property figiUniqueid
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property active (base name: "active")', function() {
      // uncomment below and update the code to test the property active
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property etf (base name: "etf")', function() {
      // uncomment below and update the code to test the property etf
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property delisted (base name: "delisted")', function() {
      // uncomment below and update the code to test the property delisted
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property primaryListing (base name: "primary_listing")', function() {
      // uncomment below and update the code to test the property primaryListing
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property primarySecurity (base name: "primary_security")', function() {
      // uncomment below and update the code to test the property primarySecurity
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property firstStockPrice (base name: "first_stock_price")', function() {
      // uncomment below and update the code to test the property firstStockPrice
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property lastStockPrice (base name: "last_stock_price")', function() {
      // uncomment below and update the code to test the property lastStockPrice
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property lastStockPriceAdjustment (base name: "last_stock_price_adjustment")', function() {
      // uncomment below and update the code to test the property lastStockPriceAdjustment
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property lastCorporateAction (base name: "last_corporate_action")', function() {
      // uncomment below and update the code to test the property lastCorporateAction
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property previousTickers (base name: "previous_tickers")', function() {
      // uncomment below and update the code to test the property previousTickers
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

    it('should have the property listingExchangeMic (base name: "listing_exchange_mic")', function() {
      // uncomment below and update the code to test the property listingExchangeMic
      //var instane = new intrinioSDK.Security();
      //expect(instance).to.be();
    });

  });

}));
